Package: groovy.org.codenarc.rule

## [Groovy] Class InlineViolationsParser

- groovy.org.codenarc.rule.InlineViolationsParser

- Parser for inline violation metadata within Rule test classes

  Authors:
    Artur Gajowy

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `InlineViolationsParser.ParseResult` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `result`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static String` | `inlineViolation(String violationMessage)`
    `` | `InlineViolationsParser.ParseResult` | `parse(String annotatedSource)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### def result

  - ### Method Detail

    - #### protected static String inlineViolation(String violationMessage)

    - #### InlineViolationsParser.ParseResult parse(String annotatedSource)